from .db import Model
from .constants import PermissionLevel

class Users(Model):
    table = "users"

    def is_guest(self):
        return self.permission == PermissionLevel.GUEST.value

    def is_mod(self):
        return self.permission >= PermissionLevel.MODERATOR.value

    def is_admin(self):
        return self.permission == PermissionLevel.ADMIN.value

    def is_system(self):
        return self.permission == PermissionLevel.SYSTEM.value

    def is_default_avatar(self):
        return self.avatar_id == 1

class Topics(Model):
    table = "topics"

class Threads(Model):
    table = "threads"

class Posts(Model):
    table = "posts"

class PostHistory(Model):
    table = "post_history"

class Sessions(Model):
    table = "sessions"

class Avatars(Model):
    table = "avatars"

class Subscriptions(Model):
    table = "subscriptions"
